-- ================================================= 
-- TABLE:  VND_VENDEDOR  
-- =================================================
  CREATE TABLE VND_VENDEDOR (	  
	CDVENDEDOR 			VARCHAR2(20) 	NOT NULL ,
	DTDELVENDEDOR 		DATE,
	DTULTATUVEND 		DATE 			DEFAULT SYSDATE,
	CDFILIAL 			VARCHAR2(20),
	CDCAIXA 			VARCHAR2(20),
	NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_VENDEDOR CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 			DATE 			NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1'
)
/
-- ================================================= 
-- TABLE: VND_VEICULO 
-- =================================================
ALTER TABLE VND_VEICULO MODIFY (CDOPERULTATU NOT NULL )
/
ALTER TABLE VND_VEICULO MODIFY (DTINCLUSAO NOT NULL )
/
ALTER TABLE VND_VEICULO MODIFY (IDATIVO NOT NULL )
/
ALTER TABLE VND_VEICULO MODIFY (NRVEICULO NOT NULL )
/
ALTER TABLE VND_VEICULO ADD CONSTRAINT VEICULO_PK PRIMARY KEY (NRVEICULO)
/
ALTER TABLE VND_VEICULO DROP CONSTRAINT CKC_IDATIVO_VEICULO
/
-- ================================================= 
-- TABLE: VND_TURNO 
-- =================================================
ALTER TABLE VND_TURNO MODIFY (NRORG NOT NULL )
/
ALTER TABLE VND_TURNO MODIFY (NRSEQTURNO NOT NULL )
/
ALTER TABLE VND_TURNO ADD CONSTRAINT VND_TURNO_PK PRIMARY KEY (NRSEQTURNO)
/
ALTER TABLE VND_TURNO DROP CONSTRAINT CKC_IDATIVO_TURNO
/
-- ================================================= 
-- TABLE: VND_TURNOOPERACAO 
-- =================================================
ALTER TABLE VND_TURNOOPERACAO ADD (DESCONTINUIDADE VARCHAR2(1))
/
ALTER TABLE VND_TURNOOPERACAO ADD (IDMONGO VARCHAR2(250))
/
ALTER TABLE VND_TURNOOPERACAO ADD (SUBTRACAOPENDENTE VARCHAR2(1))
/
ALTER TABLE VND_TURNOOPERACAO MODIFY (NRORG NOT NULL )
/
ALTER TABLE VND_TURNOOPERACAO MODIFY (NRSEQTURNO NOT NULL )
/
ALTER TABLE VND_TURNOOPERACAO MODIFY (NRSEQTURNOOPERACAO NOT NULL )
/
ALTER TABLE VND_TURNOOPERACAO ADD CONSTRAINT VND_TURNOOPERACAO_PK PRIMARY KEY (NRSEQTURNOOPERACAO)
/
ALTER TABLE VND_TURNOOPERACAO ADD CONSTRAINT VND_TURNOOPERACAO_VND_TURNO_FK FOREIGN KEY (NRSEQTURNO) REFERENCES VND_TURNO(NRSEQTURNO)
/
ALTER TABLE VND_TURNOOPERACAO DROP CONSTRAINT CKC_IDATIVO_TURNOOPERACAO
/
-- ================================================= 
-- TABLE:  VND_TRANSFERENCIACHEQUE 
-- =================================================
  CREATE TABLE VND_TRANSFERENCIACHEQUE (	
	NRSEQTRANSFERENCIA 	NUMBER 			NOT NULL ,
	CDCHEQUE			NUMBER 			NOT NULL ,
	CDOPERORIGEM 		VARCHAR2(12)	NOT NULL ,
	CDOPERDESTINO 		VARCHAR2(12) 	NOT NULL ,
	CDCAIXADESTINO 		VARCHAR2(3) 	NOT NULL ,
	CDFILIALDESTINO 	VARCHAR2(4) 	NOT NULL ,
	NRSEQTURNODESTINO 	NUMBER,
	STATUSRECEBIMENTO 	VARCHAR2(1)		NOT NULL ,
	DTTRANSFERENCIA 	DATE 			NOT NULL ,
	DTRECEBIMENTO 		DATE,
	NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_TRANSFCHQ CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 			DATE 			NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1'
   )
/
-- ================================================= 
-- TABLE:  VND_TIPORECEGRUPOPARCEIRO 
-- =================================================
  CREATE TABLE VND_TIPORECEGRUPOPARCEIRO (	
	NRTIPORECEGRUPOPARCEIRO 	NUMBER,
	NRGRUPOPARCEIRO 			NUMBER,
	CDTIPORECE 					VARCHAR2(3),
	NRDIASTOLERANCIAATRASO 		NUMBER,
	NRDIASTOLERANCIAATRASOBLOQ 	NUMBER,
	NRDIASVENCIMENTOVENDA 		NUMBER,
	NRDIASVENCIMENTOFATURAM 	NUMBER,
	IDENTRSAIDOP 				VARCHAR2(1),
	CDTIPOOPER 					VARCHAR2(2),
	IDGERASUBSTITUICAOCUPOM	 	VARCHAR2(1),
	IDHABILITARFATURAMENTO 		VARCHAR2(1),
	CDFORMPGTO 					VARCHAR2(2),
	IDHABILITARVENDAPRAZO 		VARCHAR2(1),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_TPRECGRPPARC CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_TIPORECEGRUPOPARCEIRO_PK PRIMARY KEY (NRTIPORECEGRUPOPARCEIRO) 
   )
/
-- ================================================= 
-- TABLE: VND_TIPORECECONDICAOCREDITO 
-- =================================================
ALTER TABLE VND_TIPORECECONDICAOCREDITO MODIFY (CDOPERULTATU NULL)
/
ALTER TABLE VND_TIPORECECONDICAOCREDITO MODIFY (IDATIVO NULL)
/
ALTER TABLE VND_TIPORECECONDICAOCREDITO DROP CONSTRAINT CKC_IDATIVO_RELACONDGRCR
/
-- ================================================= 
-- TABLE: VND_TIPOPRECO 
-- =================================================
ALTER TABLE VND_TIPOPRECO MODIFY NRORG DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL
/
ALTER TABLE VND_TIPOPRECO ADD CONSTRAINT PK_VND_TIPOPRECO PRIMARY KEY (NRTIPOPRECO)
/
-- ================================================= 
-- TABLE: VND_TIPOEMISSAOVENDA 
-- =================================================
ALTER TABLE VND_TIPOEMISSAOVENDA MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_TIPOEMISSAOVENDA MODIFY IDATIVO NULL
/
ALTER TABLE VND_TIPOEMISSAOVENDA ADD CONSTRAINT VND_TIPOEMISSAOVENDA_PK PRIMARY KEY (NRTIPOEMISSAOVENDA)
/
ALTER TABLE VND_TIPOEMISSAOVENDA DROP CONSTRAINT CKC_IDATIVO_TIPOEMISSAOVENDA
/
-- ================================================= 
-- TABLE: VND_TIPOCOMBUSTIVEL CDOPERINCLUSAO
-- =================================================
ALTER TABLE VND_TIPOCOMBUSTIVEL MODIFY NRTIPOCOMBUSTIVEL NOT NULL
/
ALTER TABLE VND_TIPOCOMBUSTIVEL MODIFY NRORG DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL
/
ALTER TABLE VND_TIPOCOMBUSTIVEL MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_TIPOCOMBUSTIVEL ADD CONSTRAINT VND_TIPOCOMBUSTIVEL_PK PRIMARY KEY (NRTIPOCOMBUSTIVEL)
/
ALTER TABLE VND_TIPOCOMBUSTIVEL DROP CONSTRAINT CKC_IDATIVO_TIPOCOMBUSTIVEL
/
-- ================================================= 
-- TABLE: VND_TIPOATRIBUTO 
-- =================================================
ALTER TABLE VND_TIPOATRIBUTO DROP CONSTRAINT CKC_IDATIVO_TIPOATRIBUTO
/
-- ================================================= 
-- TABLE: VND_TANQUEBICOH 
-- ================================================= 
ALTER TABLE VND_TANQUEBICOH ADD VRPRECBICO FLOAT(126)
/
ALTER TABLE VND_TANQUEBICOH ADD VRPRECBICOPRAZO FLOAT(126)
/
ALTER TABLE VND_TANQUEBICOH MODIFY NRTANQUEBICOH NOT NULL
/
ALTER TABLE VND_TANQUEBICOH MODIFY CDALMOXARIFE NOT NULL
/
ALTER TABLE VND_TANQUEBICOH MODIFY CDFILIAL NOT NULL
/
ALTER TABLE VND_TANQUEBICOH MODIFY NRORG NOT NULL
/
ALTER TABLE VND_TANQUEBICOH MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_TANQUEBICOH MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_TANQUEBICOH MODIFY CDOPERULTATU NOT NULL
/
ALTER TABLE VND_TANQUEBICOH MODIFY IDATIVO NOT NULL
/
ALTER TABLE VND_TANQUEBICOH DROP CONSTRAINT CKC_IDATIVO_TANQUEBICOH
/
ALTER TABLE VND_TANQUEBICOH ADD CONSTRAINT VND_TANQUEBICOH_PK PRIMARY KEY (NRTANQUEBICOH)
/
ALTER TABLE VND_TANQUEBICOH ADD CONSTRAINT VND_TANQUEBICOH_VND_BICO_FK FOREIGN KEY (NRSEQBICO) REFERENCES VND_BICO (NRSEQBICO)
/
-- ================================================= 
-- TABLE:  VND_RELTURNODIASEMANA 
-- =================================================
  CREATE TABLE VND_RELTURNODIASEMANA (
    NRRELTURNODIASEMANA 		NUMBER 			NOT NULL ,
	NRSEQTURNO 					NUMBER 			NOT NULL ,
	NRDIASEMAN 					VARCHAR2(1),
    NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELTURNDIASEM CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_RELTURNODIASEMANA_PK PRIMARY KEY (NRRELTURNODIASEMANA),
		CONSTRAINT VND_TURNO_VND_RELTURNODIAS_FK FOREIGN KEY (NRSEQTURNO)
			REFERENCES VND_TURNO (NRSEQTURNO) 
)
/
-- ================================================= 
-- TABLE: VND_RELTIPOTROCO 
-- =================================================
ALTER TABLE VND_RELTIPOTROCO ADD NRRELTIPOTROCO NUMBER
/
ALTER TABLE VND_RELTIPOTROCO ADD CONSTRAINT PK_RELTIPOTROCO PRIMARY KEY (NRRELTIPOTROCO)
/
ALTER TABLE VND_RELTIPOTROCO DROP CONSTRAINT CKC_IDATIVO_RELTIPOTROCO
/
-- ================================================= 
-- TABLE:  VND_RELACIONAVEICULOPARCNEG 
-- =================================================
CREATE TABLE VND_RELACIONAVEICULOPARCNEG (
    NRRELACIONA 				NUMBER 			NOT NULL ,
	NRVEICULO 					NUMBER 			NOT NULL ,
	NRPARCNEGOCIO 				NUMBER 			NOT NULL ,
	CONSUMIDOROBRIGATORIO 		VARCHAR2(3),
	RESTRINGIRPRODUTOS 			VARCHAR2(3),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELVEIPARCNEG CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_RELACIONAVEICULOPARCNEG_PK PRIMARY KEY (NRRELACIONA),
		CONSTRAINT VND_VEICULO_VND_RELAC_FK FOREIGN KEY (NRVEICULO)
			REFERENCES VND_VEICULO (NRVEICULO) 
   )
/
-- ================================================= 
-- TABLE: VND_RELPRODUTOVEICULOPARCNEG 
-- =================================================
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG MODIFY NRRELPRODUTOVEICULOPARCNEG NOT NULL
/
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG MODIFY NRRELACIONA NOT NULL
/
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG MODIFY CDPRODUTO NOT NULL
/
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG MODIFY IDATIVO NOT NULL
/
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG DROP CONSTRAINT CKC_IDATIVO_RELPRODVEIPANE
/
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG ADD CONSTRAINT VND_RELPRODUTOVEICULOPARCNE_PK PRIMARY KEY (NRRELPRODUTOVEICULOPARCNEG)
/
ALTER TABLE VND_RELPRODUTOVEICULOPARCNEG ADD CONSTRAINT VND_RELPRODUTOVEICULOPARCNE_FK FOREIGN KEY (NRRELACIONA) REFERENCES VND_RELACIONAVEICULOPARCNEG (NRRELACIONA)
/
-- ================================================= 
-- TABLE:  VND_PARAMETROVALOR 
-- =================================================
  CREATE TABLE VND_PARAMETROVALOR (
    NRPARAMETROVALOR 			NUMBER 			NOT NULL ,
	NRPARAMETRO 				NUMBER 			NOT NULL ,
	VALORPARAMETRO 				VARCHAR2(250),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PARAMETROVAL CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_PARAMETROVALOR_PK PRIMARY KEY (NRPARAMETROVALOR) ,
		CONSTRAINT VND_PARAMETRO_VND_PARAMEVAL_FK FOREIGN KEY (NRPARAMETRO)
			REFERENCES VND_PARAMETRO (NRPARAMETRO) 
)
/
-- ================================================= 
-- TABLE: VND_RELPARAMETROVALOR 
-- =================================================
ALTER TABLE VND_RELPARAMETROVALOR MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_RELPARAMETROVALOR MODIFY IDATIVO NULL
/
ALTER TABLE VND_RELPARAMETROVALOR MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELPARAMETROVALOR MODIFY NRPARAMETROVALOR NOT NULL
/
ALTER TABLE VND_RELPARAMETROVALOR MODIFY NRRELPARAMETROVALOR NOT NULL
/
ALTER TABLE VND_RELPARAMETROVALOR ADD CONSTRAINT VND_RELPARAMETROVALOR_PK PRIMARY KEY (NRRELPARAMETROVALOR)
/
ALTER TABLE VND_RELPARAMETROVALOR ADD CONSTRAINT VND_PARAMETROVALOR_VND_REPV_FK FOREIGN KEY (NRPARAMETROVALOR) REFERENCES VND_PARAMETROVALOR(NRPARAMETROVALOR)
/
ALTER TABLE VND_RELPARAMETROVALOR DROP CONSTRAINT CKC_IDATIVO_RELPARAMETROVALOR
/
-- ================================================= 
-- TABLE: VND_RELHIERARQUIAPARAMETRO 
-- =================================================
ALTER TABLE VND_RELHIERARQUIAPARAMETRO MODIFY IDATIVO VARCHAR2(1) DEFAULT 'S'
/
ALTER TABLE VND_RELHIERARQUIAPARAMETRO ADD CONSTRAINT VND_PARAMETRO_VND_RELHIRARA_FK FOREIGN KEY (NRPARAMETRO) REFERENCES VND_PARAMETRO(NRPARAMETRO)
/
ALTER TABLE VND_RELHIERARQUIAPARAMETRO DROP CONSTRAINT CKC_IDATIVO_RELHIERAPARA
/
-- ================================================= 
-- TABLE: VND_RELESTRUTURATABEPRECO 
-- =================================================
ALTER TABLE VND_RELESTRUTURATABEPRECO MODIFY CDLOJA VARCHAR2(10)
/
ALTER TABLE VND_RELESTRUTURATABEPRECO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELESTRUTURATABEPRECO DROP CONSTRAINT CKC_IDATIVO_RELESTRTABPRE
/
ALTER TABLE VND_RELESTRUTURATABEPRECO ADD CONSTRAINT FKVND00552RELESRRATABEPR FOREIGN KEY (CDFILIALTABPREC,CDTABPREC) REFERENCES TABEPREC (CDFILIAL,CDTABEPREC)
/
-- ================================================= 
-- TABLE: VND_RELESTRTURACONFIGURACAO 
-- =================================================
ALTER TABLE VND_RELESTRTURACONFIGURACAO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELESTRTURACONFIGURACAO DROP CONSTRAINT CKC_IDATIVO_VND_RELESTRUCONFIG
/
ALTER TABLE VND_RELESTRTURACONFIGURACAO ADD CONSTRAINT VND_CONFIGURACAOPDV_RELESCF_FK FOREIGN KEY (NRSEQCONFIGURACAO) REFERENCES VND_CONFIGURACAOPDV(NRSEQCONFIGURACAO)
/
-- ================================================= 
-- TABLE: VND_RELCATEGORIACONF 
-- =================================================
ALTER TABLE VND_RELCATEGORIACONF ADD ICOCONFIGURACAO VARCHAR2(50)
/
ALTER TABLE VND_RELCATEGORIACONF MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELCATEGORIACONF DROP CONSTRAINT CKC_IDATIVO_RELCATEGOCONF
/
ALTER TABLE VND_RELCATEGORIACONF ADD CONSTRAINT VND_CATEGORIACONFIGURACAO_FK FOREIGN KEY (NRCATEGORIACONFIGURACAO) REFERENCES VND_CATEGORIACONFIGURACAO(NRCATEGORIACONFIGURACAO)
/
ALTER TABLE VND_RELCATEGORIACONF ADD CONSTRAINT VND_CONFIGURACAOPDV_FK FOREIGN KEY (NRSEQCONFIGURACAO) REFERENCES VND_CONFIGURACAOPDV(NRSEQCONFIGURACAO)
/
-- ================================================= 
-- TABLE: VND_RELESTRTURACONFIGURACAO
-- =================================================
  CREATE TABLE VND_RELESTRTURACONFIGURACAO 
   (
    NRRELESTRTURACONFIGURACAO 	NUMBER, 
	CDFILIAL 					VARCHAR2(4), 
	CDLOJA 						VARCHAR2(10), 
	CDCAIXA 					VARCHAR2(4), 
	NRSEQCONFIGURACAO 			NUMBER, 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELESTCONFIG CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
CREATE UNIQUE INDEX VND_RELESTRTURACONFIGURACAO_PK ON VND_RELESTRTURACONFIGURACAO (NRRELESTRTURACONFIGURACAO)
/
ALTER TABLE VND_RELESTRTURACONFIGURACAO ADD CONSTRAINT VND_RELESTRTURACONFIGURACAO_PK PRIMARY KEY (NRRELESTRTURACONFIGURACAO)
/
ALTER TABLE VND_RELESTRTURACONFIGURACAO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELESTRTURACONFIGURACAO MODIFY NRSEQCONFIGURACAO NOT NULL
/
ALTER TABLE VND_RELESTRTURACONFIGURACAO MODIFY NRRELESTRTURACONFIGURACAO NOT NULL
/
ALTER TABLE VND_RELESTRTURACONFIGURACAO ADD CONSTRAINT VND_CONFIGURACAOPDV_RELESCF_FK FOREIGN KEY (NRSEQCONFIGURACAO) REFERENCES VND_CONFIGURACAOPDV (NRSEQCONFIGURACAO)
/
-- ================================================= 
-- TABLE: VND_RELCATEGORIACONF
-- =================================================
  CREATE TABLE VND_RELCATEGORIACONF
   (
    NRSEQRELACCATEGORIACONFIGURAC NUMBER, 
	NRCATEGORIACONFIGURACAO 	NUMBER, 
	NRSEQCONFIGURACAO 			NUMBER, 
	CORCONFIGURACAO 			VARCHAR2(50), 
	ICOCONFIGURACAO 			VARCHAR2(50),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELCATEGCONF CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
CREATE UNIQUE INDEX VND_RELCATEGORIACONF_PK ON VND_RELCATEGORIACONF (NRSEQRELACCATEGORIACONFIGURAC)
/
ALTER TABLE VND_RELCATEGORIACONF ADD CONSTRAINT VND_RELCATEGORIACONF_PK PRIMARY KEY (NRSEQRELACCATEGORIACONFIGURAC)
/
ALTER TABLE VND_RELCATEGORIACONF MODIFY NRSEQCONFIGURACAO NOT NULL
/
ALTER TABLE VND_RELCATEGORIACONF MODIFY NRCATEGORIACONFIGURACAO NOT NULL
/
ALTER TABLE VND_RELCATEGORIACONF MODIFY NRSEQRELACCATEGORIACONFIGURAC NOT NULL
/
ALTER TABLE VND_RELCATEGORIACONF ADD CONSTRAINT VND_CATEGORIACONFIGURACAO_FK FOREIGN KEY (NRCATEGORIACONFIGURACAO) REFERENCES VND_CATEGORIACONFIGURACAO (NRCATEGORIACONFIGURACAO)
/
-- ================================================= 
-- TABLE: VND_RELACAIXAMODALIDADE
-- =================================================
  CREATE TABLE VND_RELACAIXAMODALIDADE
   (
	NRRELCAIXAMODALIDADE 		NUMBER, 
	NRMODALIDADEPDV 			NUMBER, 
	CDFILIAL 					VARCHAR2(4), 
	CDCAIXA 					VARCHAR2(3), 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELACXMOD CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
CREATE UNIQUE INDEX PK_VND_RELACAIXAMOD ON VND_RELACAIXAMODALIDADE (NRRELCAIXAMODALIDADE)
/
ALTER TABLE VND_RELACAIXAMODALIDADE ADD CONSTRAINT PK_VND_RELACAIXAMOD PRIMARY KEY (NRRELCAIXAMODALIDADE)
/
-- ================================================= 
-- TABLE: VND_PRODUTODIMENSAOVALOR
-- =================================================
  CREATE TABLE VND_PRODUTODIMENSAOVALOR 
   (
	NRPRODUTODIMENSAOVALOR 		NUMBER, 
	NRDIMENSAOVALOR 			NUMBER, 
	NRPRODUTODIMENSAO 			NUMBER, 
	DTULTATU 					DATE,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PRODDIMVAL CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
)
/
CREATE UNIQUE INDEX VND_PRODUTODIMENSAOVALOR_PK ON VND_PRODUTODIMENSAOVALOR (NRPRODUTODIMENSAOVALOR)
/
ALTER TABLE VND_PRODUTODIMENSAOVALOR ADD CONSTRAINT VND_PRODUTODIMENSAOVALOR_PK PRIMARY KEY (NRPRODUTODIMENSAOVALOR)
/
ALTER TABLE VND_PRODUTODIMENSAOVALOR ADD CONSTRAINT CKC_IDATIVO_PRODDIMENVAL CHECK (IDATIVO IN ('S','N'))
/
ALTER TABLE VND_PRODUTODIMENSAOVALOR MODIFY NRPRODUTODIMENSAO NOT NULL
/
ALTER TABLE VND_PRODUTODIMENSAOVALOR MODIFY NRPRODUTODIMENSAOVALOR NOT NULL
/
ALTER TABLE VND_PRODUTODIMENSAOVALOR ADD CONSTRAINT FKVND00553PRODDIMVAL FOREIGN KEY (NRPRODUTODIMENSAOVALOR) REFERENCES VND_PRODUTODIMENSAO (NRPRODUTODIMENSAO)
/
-- ================================================= 
-- TABLE: VND_PRODUTODIMENSAO
-- =================================================
CREATE TABLE VND_PRODUTODIMENSAO
   (	
	NRPRODUTODIMENSAO 			NUMBER, 
	NRDIMENSAO 					NUMBER, 
	CDPRODUTO 					VARCHAR2(10), 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PRODDIMENSAO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
CREATE UNIQUE INDEX VND_PRODUTODIMENSAO_PK ON VND_PRODUTODIMENSAO (NRPRODUTODIMENSAO)
/
ALTER TABLE VND_PRODUTODIMENSAO ADD CONSTRAINT VND_PRODUTODIMENSAO_PK PRIMARY KEY (NRPRODUTODIMENSAO)
/
ALTER TABLE VND_PRODUTODIMENSAO MODIFY CDPRODUTO NOT NULL
/
ALTER TABLE VND_PRODUTODIMENSAO MODIFY NRDIMENSAO NOT NULL
/
ALTER TABLE VND_PRODUTODIMENSAO MODIFY NRPRODUTODIMENSAO NOT NULL
/
-- ================================================= 
-- TABLE:  VND_RELBICOCAIXA 
-- =================================================
  CREATE TABLE VND_RELBICOCAIXA (
    NRRELBICOCAIXA 				NUMBER 			NOT NULL ,
	NRSEQBICO 					NUMBER 			NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDCAIXA 					VARCHAR2(3) 	NOT NULL ,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELBICOCAIXA CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	CONSTRAINT VND_RELBICOCAIXA_PK PRIMARY KEY (NRRELBICOCAIXA) ,
	CONSTRAINT VND_RELBICOCAIXA_VND_BICO_FK FOREIGN KEY (NRSEQBICO)
	 REFERENCES VND_BICO (NRSEQBICO) 
   )
/
-- ================================================= 
-- TABLE: VND_RELATRIBUTOTIPORECE 
-- =================================================
ALTER TABLE VND_RELATRIBUTOTIPORECE DROP CONSTRAINT CKC_IDATIVO_RELTRIBTIPORE
/
-- ================================================= 
-- TABLE: VND_RELATRIBUTOPARCNEGOCIO 
-- =================================================
ALTER TABLE VND_RELATRIBUTOPARCNEGOCIO DROP CONSTRAINT CKC_IDATIVO_RELATRIBPARC
/
-- ================================================= 
-- TABLE: VND_RELATRIBUTOCONFIGURACAO 
-- =================================================
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO MODIFY IDATIVO NULL
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO MODIFY NRRELAATRIBUTOCONFIGURACAO NOT NULL
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO ADD NRGRUPOATRIBUTO NUMBER DEFAULT 1 NOT NULL
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO ADD CONSTRAINT VND_RELATRIBUTOCONFIGURACAO_PK PRIMARY KEY (NRRELAATRIBUTOCONFIGURACAO)
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO ADD CONSTRAINT VND_ATRIBUTOVENDA_RELATRCON_FK FOREIGN KEY (NRATRIBUTOVENDA) REFERENCES VND_ATRIBUTOVENDA(NRATRIBUTOVENDA)
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO ADD CONSTRAINT VND_CONFIGURACAOPDV_RELACON_FK FOREIGN KEY (NRSEQCONFIGURACAO) REFERENCES VND_CONFIGURACAOPDV(NRSEQCONFIGURACAO)
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO DROP CONSTRAINT CKC_IDATIVO_RELATRIBCONFIG
/
ALTER TABLE VND_RELATRIBUTOCONFIGURACAO ADD constraint VND_GRUPOATRIBUTO_RELA_FK foreign key(NRGRUPOATRIBUTO) references VND_GRUPOATRIBUTO(NRGRUPOATRIBUTO)
/
-- ================================================= 
-- TABLE: VND_PARAMETROSPRODUTO
-- =================================================
  CREATE TABLE VND_PARAMETROSPRODUTO
   (	
	NRPARAMETROPRODUTO 			NUMBER, 
	NRTIPOCOMBUSTIVEL 			NUMBER, 
	CDPRODUTO 					VARCHAR2(10), 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PARAMSPROD CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
CREATE UNIQUE INDEX VND_PARAMPRODUTO_PK ON VND_PARAMETROSPRODUTO (NRPARAMETROPRODUTO)
/
ALTER TABLE VND_PARAMETROSPRODUTO ADD CONSTRAINT VND_PARAMPRODUTO_PK PRIMARY KEY (NRPARAMETROPRODUTO)
/
ALTER TABLE VND_PARAMETROSPRODUTO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_PARAMETROSPRODUTO MODIFY CDPRODUTO NOT NULL
/
ALTER TABLE VND_PARAMETROSPRODUTO MODIFY NRPARAMETROPRODUTO NOT NULL
/
-- ================================================= 
-- TABLE: VND_DIMENSAOVALOR
-- =================================================
  CREATE TABLE VND_DIMENSAOVALOR 
   (
	NRDIMENSAOVALOR 			NUMBER, 
	VALOR 						VARCHAR2(20), 
	NRDIMENSAO 					NUMBER, 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_DIMENSAOVAL CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
CREATE UNIQUE INDEX VND_DIMENSAOVALOR_PK ON VND_DIMENSAOVALOR (NRDIMENSAOVALOR)
/
ALTER TABLE VND_DIMENSAOVALOR ADD CONSTRAINT VND_DIMENSAOVALOR_PK PRIMARY KEY (NRDIMENSAOVALOR)
/
ALTER TABLE VND_DIMENSAOVALOR MODIFY NRDIMENSAO NOT NULL
/
ALTER TABLE VND_DIMENSAOVALOR MODIFY NRDIMENSAOVALOR NOT NULL
/
-- ================================================= 
-- TABLE: VND_RELALMOXARIFADOESTRUT 
-- =================================================
ALTER TABLE VND_RELALMOXARIFADOESTRUT MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_RELALMOXARIFADOESTRUT MODIFY IDATIVO NULL
/
ALTER TABLE VND_RELALMOXARIFADOESTRUT MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELALMOXARIFADOESTRUT ADD CONSTRAINT VND_RELALMOXARIFADOESTRUT_PK PRIMARY KEY (NRRELALMOXARIFADOESTRUT)
/
ALTER TABLE VND_RELALMOXARIFADOESTRUT DROP CONSTRAINT CKC_IDATIVO_RELALMOXEST
/
-- ================================================= 
-- TABLE: VND_RELACTIPORECECATEGORIA 
-- =================================================
ALTER TABLE VND_RELACTIPORECECATEGORIA ADD PADRAOPDV VARCHAR2(3)
/
ALTER TABLE VND_RELACTIPORECECATEGORIA DROP CONSTRAINT CKC_IDATIVO_RELACTPRECAT
/
-- ================================================= 
-- TABLE: VND_RELACPRODCATEGORIA 
-- =================================================
ALTER TABLE VND_RELACPRODCATEGORIA DROP CONSTRAINT CKC_IDATIVO_RELACPRODCATEGORIA
/
-- ================================================= 
-- TABLE: VND_MODALIDADEPDV 
-- =================================================
ALTER TABLE VND_MODALIDADEPDV MODIFY NRMODALIDADEPDV NOT NULL
/
ALTER TABLE VND_MODALIDADEPDV MODIFY NRORG NOT NULL
/
ALTER TABLE VND_MODALIDADEPDV ADD CONSTRAINT VND_MODALIDADEPDV_PK PRIMARY KEY (NRMODALIDADEPDV)
/
ALTER TABLE VND_MODALIDADEPDV DROP CONSTRAINT CKC_IDATIVO_MODALIDADEPDV
/
-- ================================================= 
-- TABLE: VND_RELACONFIGURACAOMODALIDADE 
-- =================================================
ALTER TABLE VND_RELACONFIGURACAOMODALIDADE MODIFY CDOPERINCLUSAO VARCHAR2(12) DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')
/
ALTER TABLE VND_RELACONFIGURACAOMODALIDADE MODIFY NRSEQMODALIDADEPDV NOT NULL
/
ALTER TABLE VND_RELACONFIGURACAOMODALIDADE ADD CONSTRAINT VND_RELACONFIGURACAOMODAL_PK PRIMARY KEY (NRSEQMODALIDADEPDV)
/
ALTER TABLE VND_RELACONFIGURACAOMODALIDADE ADD CONSTRAINT VND_CONFIGURACAOPDV_RCONFMO_FK FOREIGN KEY (NRSEQCONFIGURACAO) REFERENCES VND_CONFIGURACAOPDV(NRSEQCONFIGURACAO)
/
ALTER TABLE VND_RELACONFIGURACAOMODALIDADE ADD CONSTRAINT VND_MODALIDADEPDV_RELMODCON_FK FOREIGN KEY (NRMODALIDADEPDV) REFERENCES VND_MODALIDADEPDV(NRMODALIDADEPDV)
/
ALTER TABLE VND_RELACONFIGURACAOMODALIDADE DROP CONSTRAINT CKC_IDATIVO_RELACONFIGMOD
/
-- ================================================= 
-- TABLE: VND_RELACIONAVEICULOPARCNEGH 
-- =================================================
ALTER TABLE VND_RELACIONAVEICULOPARCNEGH MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_RELACIONAVEICULOPARCNEGH ADD CONSTRAINT VND_RELVEICULOPARCNEGH_FK FOREIGN KEY (NRRELACIONA) REFERENCES VND_RELACIONAVEICULOPARCNEG(NRRELACIONA)
/
ALTER TABLE VND_RELACIONAVEICULOPARCNEGH DROP CONSTRAINT CKC_IDATIVO_RELAVEICPA
/
-- ================================================= 
-- TABLE: VND_RELACIONAMENTOTURNO 
-- =================================================
ALTER TABLE VND_RELACIONAMENTOTURNO MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_RELACIONAMENTOTURNO MODIFY IDATIVO NULL
/
ALTER TABLE VND_RELACIONAMENTOTURNO ADD CONSTRAINT VND_RELACIONAMENTOTURNO_TUR_FK FOREIGN KEY (NRSEQTURNO) REFERENCES VND_TURNO(NRSEQTURNO)
/
ALTER TABLE VND_RELACIONAMENTOTURNO DROP CONSTRAINT CKC_IDATIVO_VND_RELACTURNO
/
-- ================================================= 
-- TABLE: VND_RELACIDPARCNEGOCIO 
-- =================================================
ALTER TABLE VND_RELACIDPARCNEGOCIO MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_RELACIDPARCNEGOCIO MODIFY IDATIVO NULL
/
ALTER TABLE VND_RELACIDPARCNEGOCIO DROP CONSTRAINT CKC_IDATIVO_RELACIDPARCNEGOCIO
/
-- ================================================= 
-- TABLE: VND_RELACCONDICAOGRUPOCREDITO 
-- =================================================
ALTER TABLE VND_RELACCONDICAOGRUPOCREDITO MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_RELACCONDICAOGRUPOCREDITO MODIFY IDATIVO NULL
/
ALTER TABLE VND_RELACCONDICAOGRUPOCREDITO DROP CONSTRAINT CKC_IDATIVO_RELACONG
/
-- ================================================= 
-- TABLE: VND_RELACCATERECECONFIGURACAO 
-- =================================================
ALTER TABLE VND_RELACCATERECECONFIGURACAO DROP CONSTRAINT CKC_IDATIVO_RELCATCECONFIG
/
-- ================================================= 
-- TABLE: VND_RELACATRIBUTOVENDA 
-- =================================================
ALTER TABLE VND_RELACATRIBUTOVENDA ADD NRVEICULO NUMBER
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY CDCAIXA NOT NULL
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY CDFILIAL NOT NULL
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY CDTIPORECE NUMBER
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY IDATIVO NULL
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY NRORG NOT NULL
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY NRRELACATRIBUTO NOT NULL
/
ALTER TABLE VND_RELACATRIBUTOVENDA MODIFY NRSEQVENDA NOT NULL
/
ALTER TABLE VND_RELACATRIBUTOVENDA ADD CONSTRAINT VND_RELACATRIBUTOVENDA_PK PRIMARY KEY (NRRELACATRIBUTO)
/
ALTER TABLE VND_RELACATRIBUTOVENDA DROP CONSTRAINT CKC_IDATIVO_RELACATRIBUTOVENDA
/
-- ================================================= 
-- TABLE: VND_RELACAIXAMODALIDADE 
-- =================================================
ALTER TABLE VND_RELACAIXAMODALIDADE DROP CONSTRAINT CKC_IDATIVO_VND_RELACAIXAMOD
/
-- ================================================= 
-- TABLE:  VND_REGRAPRECO 
-- =================================================
  CREATE TABLE VND_REGRAPRECO (
    NRCONDICAOPRECO 			NUMBER 			NOT NULL ,
	NMCONDICAOPRECO 			VARCHAR2(250),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_REGRAPRECO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_CONDICAOPRECO_PK PRIMARY KEY (NRCONDICAOPRECO) 
)
/
-- ================================================= 
-- TABLE:  VND_REGISTRO_DESCONTINUIDADE 
-- =================================================
  CREATE TABLE VND_REGISTRO_DESCONTINUIDADE (
    REG 						VARCHAR2(4) 	NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDLOJA 						VARCHAR2(10) 	NOT NULL ,
	CODIGOBICO					VARCHAR2(10) 	NOT NULL ,
	NRBOMBA 					NUMBER NOT NULL ,
	MOT_INTERV 					VARCHAR2(50),
	JUS_INTERV 					VARCHAR2(144),
	MED_INTERV 					VARCHAR2(144),
	NOM_INTERV 					VARCHAR2(30),
	CNPJ_INTERV 				VARCHAR2(14),
	CPF_INTERV 					VARCHAR2(11),
	VAL_FECHA 					FLOAT(126) 		NOT NULL ,
	VAL_ABERT 					FLOAT(126) 		NOT NULL ,
	VOL_AFERI 					FLOAT(126),
	VOL_VENDAS 					FLOAT(126) 		NOT NULL ,
	NR_LACRES_REM 				VARCHAR2(200),
	NR_LACRES_APL 				VARCHAR2(200),
	DATAINTERVENCAO 			DATE NOT NULL ,
	NR_INTERV 					VARCHAR2(4),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_REG_DESC CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
)
/
-- ================================================= 
-- TABLE:  VND_PRODUTOREGRAPRECO 
-- =================================================
   CREATE TABLE VND_PRODUTOREGRAPRECO (
    NRCONDICAOPRECOPRODUTO 		NUMBER 			NOT NULL ,
	NRCONDICAOPRECO 			NUMBER 			NOT NULL ,
	CDPRODUTO 					VARCHAR2(10) 	NOT NULL ,
	VRCONDICAO 					FLOAT(126),
	TIPOCONDICAO				VARCHAR2(30),
	TIPOPRECOCONDICAO 			VARCHAR2(30),
	APLICACAOCONDICAO 			VARCHAR2(30),
	CALCULARNEWLORUNITARIO 		VARCHAR2(3),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PRODREGPRC CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_CONDICAOPRECOPRODUTO_PK PRIMARY KEY (NRCONDICAOPRECOPRODUTO) ,
		CONSTRAINT VND_REGRAPRECO_VND_COPRPROD_FK FOREIGN KEY (NRCONDICAOPRECO)
			REFERENCES VND_REGRAPRECO (NRCONDICAOPRECO) 
   )
/
-- ================================================= 
-- TABLE:  VND_PRODUTOPDV 
-- =================================================
  CREATE TABLE VND_PRODUTOPDV (
    NRSEQPRODUTOPDV 			NUMBER 			NOT NULL ,
	CDPRODUTO 					VARCHAR2(10) 	NOT NULL ,
	CDPRODUTOPDV 				VARCHAR2(20),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PRODUTOPDV CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	CDFORNECED 					VARCHAR2(21),
	PRODATIVO 					VARCHAR2(1),
	FRACIONADO 					VARCHAR2(1)
)
/
ALTER TABLE VND_PRODUTOPDV ADD CONSTRAINT VND_PRODUTOPDV_PK PRIMARY KEY (NRSEQPRODUTOPDV)
/
ALTER TABLE VND_PRODUTOPDV ADD CONSTRAINT VND_PRODUTOPDV_PRODUTO_FK FOREIGN KEY (CDPRODUTO) REFERENCES PRODUTO (CDPRODUTO)
/
-- ================================================= 
-- TABLE: VND_PRODUTODIMENSAOVALOR 
-- =================================================
ALTER TABLE VND_PRODUTODIMENSAOVALOR ADD CONSTRAINT FKVND00553PRODDIMVAL FOREIGN KEY (NRPRODUTODIMENSAOVALOR) REFERENCES VND_PRODUTODIMENSAO(NRPRODUTODIMENSAO)
/
ALTER TABLE VND_PRODUTODIMENSAOVALOR DROP CONSTRAINT CKC_IDATIVO_PRODDIMENVAL
/
-- ================================================= 
-- TABLE:  VND_PRODUTODIMVALORFEATUREGRU 
-- =================================================
  CREATE TABLE VND_PRODUTODIMVALORFEATUREGRU (
    NRGRUPOFEATUREITEM NUMBER NOT NULL ,
	NRPRODUTODIMENSAOVALOR NUMBER NOT NULL ,
	NRFEATUREGRUPO NUMBER NOT NULL ,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PRODDIMVALF CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_PRODUTODIMVALORFEATUREGRU ADD CONSTRAINT GRUPOFEATUREITEM_PK PRIMARY KEY (NRGRUPOFEATUREITEM)
/
ALTER TABLE VND_PRODUTODIMVALORFEATUREGRU ADD CONSTRAINT PRODUTODIMVALORFEATUREGRUPO_FK FOREIGN KEY (NRPRODUTODIMENSAOVALOR) REFERENCES VND_PRODUTODIMENSAOVALOR (NRPRODUTODIMENSAOVALOR)
/
ALTER TABLE VND_PRODUTODIMVALORFEATUREGRU ADD CONSTRAINT VND_FEATUREGRUPO_PRODDIMVR_FK FOREIGN KEY (NRFEATUREGRUPO) REFERENCES VND_FEATUREGRUPO (NRFEATUREGRUPO)
/
-- ================================================= 
-- TABLE:  VND_PRODFEATUREGRUPOESTOQUE 
-- =================================================
  CREATE TABLE VND_PRODFEATUREGRUPOESTOQUE (
    NRRELACPRODUTOFEATUREGRUPO 	NUMBER 			NOT NULL ,
	NRFEATUREGRUPO 				NUMBER 			NOT NULL ,
	CDPRODUTOESTOQUE 			VARCHAR2(10) 	NOT NULL ,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PRODFEGRPOST CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_PRODFEATUREGRUPOESTOQUE ADD CONSTRAINT VND_PRODFEATUREGRUPOESTOQUE_PK PRIMARY KEY (NRRELACPRODUTOFEATUREGRUPO)
/
ALTER TABLE VND_PRODFEATUREGRUPOESTOQUE ADD CONSTRAINT VND_FEATUREGRUPO_VND_RELFET_FK FOREIGN KEY (NRFEATUREGRUPO) REFERENCES VND_FEATUREGRUPO (NRFEATUREGRUPO)
/
-- ================================================= 
-- TABLE:  VND_PREVENDA 
-- =================================================
  CREATE TABLE VND_PREVENDA (
    NRPREVENDA 					VARCHAR2(10)	NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDLOJA 						VARCHAR2(10) 	NOT NULL ,
	VRTOTAL 					FLOAT(126) 		NOT NULL ,
	VRDESCVENDA 				FLOAT(126),
	COMANDA 					VARCHAR2(50) 	NOT NULL ,
	STATUS 						VARCHAR2(1) 	DEFAULT 'P' NOT NULL ,
	IDTIPO 						VARCHAR2(1) 	DEFAULT 'P' NOT NULL ,
	NRPARCNEGOCIOCONS 			NUMBER,
	NRPARCNEGOCIOCLI 			NUMBER,
	NRGRUPOPARCEIRO 			NUMBER,
	NRRELACIONAVEICPARC 		NUMBER,
	CNPJCPF						VARCHAR2(20),
	IDENTIFICACAOFIDELIZACAO 	VARCHAR2(100),
	NRVEICULO 					NUMBER,
	CDTIPORECE 					VARCHAR2(3),
	CDVENDEDOR 					VARCHAR2(4),
	DTPREVENDA 					DATE NOT NULL ,
	DTVALIDADE 					DATE,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PREVENDA CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_PREVENDA ADD CONSTRAINT VND_PREVENDA_PK PRIMARY KEY (NRPREVENDA)
/
ALTER TABLE VND_PREVENDA ADD CONSTRAINT VND_PREVENDA_LOJA_FK FOREIGN KEY (CDFILIAL,CDLOJA) REFERENCES LOJA (CDFILIAL,CDLOJA)
/
ALTER TABLE VND_PREVENDA ADD CONSTRAINT VND_PREVENDA_TIPORECE_FK FOREIGN KEY (CDTIPORECE) REFERENCES TIPORECE (CDTIPORECE)
/
ALTER TABLE VND_PREVENDA ADD CONSTRAINT VND_PREVENDA_VENDEDOR_FK FOREIGN KEY (CDVENDEDOR) REFERENCES VENDEDOR (CDVENDEDOR)
/
-- ================================================= 
-- TABLE:  VND_PREVENDA_ITENS 
-- =================================================
  CREATE TABLE VND_PREVENDA_ITENS (
    NRPREVENDAITEM 				NUMBER 			NOT NULL ,
	NRPREVENDA 					VARCHAR2(10) 	NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDLOJA 						VARCHAR2(10) 	NOT NULL ,
	CDPRODUTO 					VARCHAR2(10)	NOT NULL ,
	QUANTIDADE 					FLOAT(126) 		NOT NULL ,
	VRUNITARIO 					FLOAT(126) 		NOT NULL ,
	VRTOTAL 					FLOAT(126) 		NOT NULL ,
	UNIDADE 					VARCHAR2(10) 	NOT NULL ,
	NRSEQITEM 					NUMBER 			NOT NULL ,
	VRALIQIBPT 					FLOAT(126),
	VRALIQIBPTES 				FLOAT(126),
	IDINCIDEPISCOF 				VARCHAR2(1) 	DEFAULT 'N',
	VRPEALIMPFIS 				FLOAT(126),
	VRUNITARIOANT 				FLOAT(126),
	IDTPDESCONTO 				VARCHAR2(1),
	VRDESCONTO 					FLOAT(126),
	IDABASTECIMENTO 			VARCHAR2(100),
	CDVENDEDOR 					VARCHAR2(4),
	BICO 						NUMBER,
	DIMENSAOVALOR 				VARCHAR2(100),
	ENCERRANTEINICIAL 			FLOAT(126),
	ENCERRANTEFINAL 			FLOAT(126),
	IDSITUITEM 					VARCHAR2(1) 	NOT NULL ,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PRE_ITE CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_PREVENDA_ITENS ADD CONSTRAINT VND_PREVENDA_ITENS_PK PRIMARY KEY (NRPREVENDAITEM)
/
ALTER TABLE VND_PREVENDA_ITENS ADD CONSTRAINT VND_PREVENDA_ITENS_LOJA_FK FOREIGN KEY (CDFILIAL,CDLOJA) REFERENCES LOJA (CDFILIAL,CDLOJA)
/
ALTER TABLE VND_PREVENDA_ITENS ADD CONSTRAINT VND_PREVENDA_ITENS_PREVENDA_FK FOREIGN KEY (NRPREVENDA) REFERENCES VND_PREVENDA (NRPREVENDA)
/
ALTER TABLE VND_PREVENDA_ITENS ADD CONSTRAINT VND_PREVENDA_ITENS_PRODUTO_FK FOREIGN KEY (CDPRODUTO) REFERENCES PRODUTO (CDPRODUTO)
/
ALTER TABLE VND_PREVENDA_ITENS ADD CONSTRAINT VND_PREVENDA_ITENS_VENDEDOR_FK FOREIGN KEY (CDVENDEDOR) REFERENCES VENDEDOR (CDVENDEDOR)
/
-- ================================================= 
-- TABLE:  VND_GRUPOPARCEIRO 
-- =================================================
  CREATE TABLE VND_GRUPOPARCEIRO (
	NRGRUPOPARCEIRO 			NUMBER,
	DESCGRUPOPARCEIRO 			VARCHAR2(250),
	NRDIASTOLERANCIAATRASO 		NUMBER,
	NRDIASTOLERANCIAATRASOBLOQ 	NUMBER,
	NRDIASVENCIMENTOVENDA 		NUMBER,
	NRDIASVENCIMENTOFATURAM 	NUMBER,
	IDENTRSAIDOP 				VARCHAR2(1),
	CDTIPOOPER 					VARCHAR2(2),
	IDGERASUBSTITUICAOCUPOM		VARCHAR2(1),
	IDHABILITARFATURAMENTO 		VARCHAR2(1),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_GRUPOPARCE CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	IDHABILITARVENDAPRAZO 		VARCHAR2(1)
    )
/
ALTER TABLE VND_GRUPOPARCEIRO ADD CONSTRAINT VND_PARAMGRUPOPARCEIRO_PK PRIMARY KEY (NRGRUPOPARCEIRO)
/
-- ================================================= 
-- TABLE: VND_PARCNEGOCIOGRUPOPARCEIRO 
-- =================================================
ALTER TABLE VND_PARCNEGOCIOGRUPOPARCEIRO MODIFY NRPARCNEGOCIO NOT NULL
/
ALTER TABLE VND_PARCNEGOCIOGRUPOPARCEIRO MODIFY NRGRUPOPARCEIRO NOT NULL
/
ALTER TABLE VND_PARCNEGOCIOGRUPOPARCEIRO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_PARCNEGOCIOGRUPOPARCEIRO MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_PARCNEGOCIOGRUPOPARCEIRO MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_PARCNEGOCIOGRUPOPARCEIRO ADD CONSTRAINT VND_PARCNEGOCIOGRUPOPARCEI_PK PRIMARY KEY (NRPARCNEGOCIOGRUPO)
/
ALTER TABLE VND_PARCNEGOCIOGRUPOPARCEIRO ADD CONSTRAINT VND_GRUPOPARCEIRO_PARGRPARC_FK FOREIGN KEY (NRGRUPOPARCEIRO) REFERENCES VND_GRUPOPARCEIRO (NRGRUPOPARCEIRO)
/
-- ================================================= 
-- TABLE: VND_PARCNEGOCIOGRUPOCREDITO 
-- =================================================
ALTER TABLE VND_PARCNEGOCIOGRUPOCREDITO ADD CONSTRAINT VND_PARCNEGOCIOGRUPOCREDITO_PK PRIMARY KEY (NRPARCNEGOCIOGRUPOCREDITO)
/
ALTER TABLE VND_PARCNEGOCIOGRUPOCREDITO ADD CONSTRAINT VND_GRUPOCREDITO_VND_PCGRCR_FK FOREIGN KEY (NRGRUPOCREDITO) REFERENCES VND_GRUPOCREDITO (NRGRUPOCREDITO)
/
-- ================================================= 
-- TABLE:  VND_PARAMPARCEIRO 
-- =================================================
  CREATE TABLE VND_PARAMPARCEIRO (
    NRPARAMPARCEIRO 			NUMBER,
	NRPARCNEGOCIO 				NUMBER 			NOT NULL ,
	NRDIASTOLERANCIAATRASO 		NUMBER,
	NRDIASTOLERANCIAATRASOBLOQ 	NUMBER,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PARAMPARC CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	IDENTRSAIDOP 				VARCHAR2(1),
	CDTIPOOPER 					VARCHAR2(2),
	IDGERASUBSTITUICAOCUPOM		VARCHAR2(1),
	NRDIASVENCIMENTOVENDA 		NUMBER,
	NRDIASVENCIMENTOFATURAM 	NUMBER,
	IDHABILITARFATURAMENTO 		VARCHAR2(1),
	CDFORMPGTO 					VARCHAR2(2),
	IDHABILITARVENDAPRAZO 		VARCHAR2(1)
    )
/
ALTER TABLE VND_PARAMPARCEIRO ADD CONSTRAINT VND_PARAMPARCEIRO_PK PRIMARY KEY (NRPARAMPARCEIRO)
/
ALTER TABLE VND_PARAMPARCEIRO ADD CONSTRAINT FORMPGTO_VND_PARAMPARCEIRO_FK FOREIGN KEY (CDFORMPGTO) REFERENCES FORMPGTO (CDFORMPGTO)
/
-- ================================================= 
-- TABLE:  VND_PARAMETROSTIPORECE 
-- =================================================
  CREATE TABLE VND_PARAMETROSTIPORECE (
    NRPARAMETROSTIPORECE 		NUMBER 			NOT NULL ,
	CDTIPORECE 					VARCHAR2(3) 	NOT NULL ,
	HABILITARVENDAPDV 			VARCHAR2(3),
	PERMITETROCO 				VARCHAR2(3),
	GERARPONTUACAOFIDELIDADE 	VARCHAR2(3),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_PARTPRECE CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_PARAMETROSTIPORECE ADD CONSTRAINT VND_PARAMETROSTIPORECE_PK PRIMARY KEY (NRPARAMETROSTIPORECE)
/
-- ================================================= 
-- TABLE: VND_PARAMETROSPRODUTO 
-- =================================================
ALTER TABLE VND_PARAMETROSPRODUTO MODIFY CDPRODUTO NOT NULL
/
ALTER TABLE VND_PARAMETROSPRODUTO DROP CONSTRAINT CKC_IDATIVO_PARAMPROD
/
-- ================================================= 
-- TABLE: VND_PARAMETRO 
-- =================================================
ALTER TABLE VND_PARAMETRO MODIFY CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1'
/
ALTER TABLE VND_PARAMETRO MODIFY CDOPERULTATU VARCHAR2(12) DEFAULT '1'
/
ALTER TABLE VND_PARAMETRO MODIFY DTINCLUSAO DATE DEFAULT SYSDATE
/
ALTER TABLE VND_PARAMETRO MODIFY DTULTATU DATE DEFAULT SYSDATE
/
ALTER TABLE VND_PARAMETRO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_PARAMETRO MODIFY NRPARAMETRO NOT NULL
/
ALTER TABLE VND_PARAMETRO DROP CONSTRAINT CKC_IDATIVO_VND_PARAMETRO
/
ALTER TABLE VND_PARAMETRO ADD CONSTRAINT VND_PARAMETRO_VND_PARAMETRO_FK FOREIGN KEY (NRPARAMETRO) REFERENCES VND_PARAMETRO(NRPARAMETRO)
/
-- ================================================= 
-- TABLE:  VND_OPCAOPARAMETRO 
-- =================================================
  CREATE TABLE VND_OPCAOPARAMETRO (
    NROPCAOPARAMETRO 			NUMBER 			NOT NULL ,
	NRPARAMETRO 				NUMBER 			NOT NULL ,
	DESCOPCAOPARAMETRO 			VARCHAR2(250),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_OPCPARAM CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_OPCAOPARAMETRO ADD CONSTRAINT VND_OPCAOPARAMETRO_PK PRIMARY KEY (NROPCAOPARAMETRO)
/
ALTER TABLE VND_OPCAOPARAMETRO ADD CONSTRAINT FK_VND_PARAMETRO_VND_OPCAOPARA FOREIGN KEY (NRPARAMETRO) REFERENCES VND_PARAMETRO (NRPARAMETRO)
/
-- ================================================= 
-- TABLE: VND_MOVIMENTACAOESTOQUE 
-- =================================================
ALTER TABLE VND_MOVIMENTACAOESTOQUE DROP CONSTRAINT CKC_IDATIVO_MOVEST
/
-- ================================================= 
-- TABLE: VND_MOVIMENTACAOABASTECIMENTO 
-- =================================================
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO DROP CONSTRAINT RORGINCLUSAO
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO MODIFY CDFILIALALMOXARIFADO NOT NULL
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO MODIFY CDOPERULTATU NOT NULL
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO MODIFY IDATIVO NOT NULL
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO MODIFY IDMONGO VARCHAR2(250)
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO ADD NRORGINCLUSAO NUMBER
/
ALTER TABLE VND_MOVIMENTACAOABASTECIMENTO DROP CONSTRAINT CKC_IDATIVO_MOVABASTE
/
-- ================================================= 
-- TABLE:  VND_MOVIMENTACAO 
-- =================================================
  CREATE TABLE VND_MOVIMENTACAO (
    NRSEQMOVIMENTACAO 			NUMBER 			NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDCAIXA 					VARCHAR2(3) 	NOT NULL ,
	DTABERCAIX 					DATE 			NOT NULL ,
	NRSEQUMOVI 					VARCHAR2(10) 	NOT NULL ,
	IDTIPOMOVI 					VARCHAR2(1) 	NOT NULL ,
	DSMOVIMENTACAO 				VARCHAR2(250),
	VRMOVIMENTACAO 				FLOAT(126) 		NOT NULL ,
	CDTIPORECE 					VARCHAR2(3) 	NOT NULL ,
	CDCLIENTE 					VARCHAR2(21),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_MOVIMENTA CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	IDMONGO 					VARCHAR2(40)
    )
/
ALTER TABLE VND_MOVIMENTACAO ADD CONSTRAINT VND_MOVIMENTACAO_PK PRIMARY KEY (NRSEQMOVIMENTACAO)
/
-- ================================================= 
-- TABLE:  VND_MOVCHEQUE 
-- =================================================
  CREATE TABLE VND_MOVCHEQUE (
    CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDCAIXA 					VARCHAR2(3) 	NOT NULL ,
	CDCHEQUE 					NUMBER 			NOT NULL ,
	NRSEQVENDA 					VARCHAR2(10),
	IDTIPOMOV 					VARCHAR2(1) 	NOT NULL ,
	DTOPERACAO 					DATE NOT NULL ,
	CDCLIENTE 					VARCHAR2(21),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_MOVCHEQUE CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
-- ================================================= 
-- TABLE:  VND_MODELO 
-- =================================================
  CREATE TABLE VND_MODELO (
    CDMODELO 					VARCHAR2(10) 	NOT NULL ,
	NMMODELO 					VARCHAR2(50) 	NOT NULL ,
	VRCAPACIDADELITROS 			FLOAT(126),
	VRLASTRO 					FLOAT(126),
	VRALTURA 					FLOAT(126),
	VRESCALA 					FLOAT(126),
	VRCOMPRIMENTO 				FLOAT(126),
	IDTIPO 						VARCHAR2(1) 	DEFAULT 'T' NOT NULL ,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_MODELO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	CDFABRIC 					VARCHAR2(10)
   )
/
-- ================================================= 
-- TABLE: VND_LACRE 
-- =================================================
ALTER TABLE VND_LACRE MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_LACRE MODIFY CDOPERINCLUSAO NOT NULL
/
-- ================================================= 
-- TABLE: VND_ITEMVENDAAUXILIAR 
-- =================================================
ALTER TABLE VND_ITEMVENDAAUXILIAR MODIFY NRSEQVENDA NOT NULL
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD NRSEQUITVENDC VARCHAR2(3)
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD QUANTIDADE FLOAT(126)
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD VALORUNITARIO FLOAT(126)
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD VALORTOTAL FLOAT(126)
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD VRPRECBOMBA FLOAT(126)
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD VALORREMANESCENTE NUMBER DEFAULT 0
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD IDSITUITEM VARCHAR2(1) DEFAULT 'A'
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD DESCPREVENDA VARCHAR2(250)
/
ALTER TABLE VND_ITEMVENDAAUXILIAR MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_ITEMVENDAAUXILIAR MODIFY CDOPERULTATU NOT NULL
/
ALTER TABLE VND_ITEMVENDAAUXILIAR ADD CONSTRAINT ITVENDACAN_VND_ITEMVENDAAU_FK FOREIGN KEY (CDFILIAL,CDCAIXA,NRSEQVENDA,NRSEQUITVENDC) REFERENCES ITVENDACAN (CDFILIAL,CDCAIXA,NRSEQVENDA,NRSEQITVENDC)
/
-- ================================================= 
-- TABLE: VND_ITEMPRECODIAAUX 
-- =================================================
ALTER TABLE VND_ITEMPRECODIAAUX MODIFY CALCDESCONTOVRUNITARIO NULL
/
ALTER TABLE VND_ITEMPRECODIAAUX MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_ITEMPRECODIAAUX MODIFY IDATIVO NULL
/
ALTER TABLE VND_ITEMPRECODIAAUX MODIFY NRORG NOT NULL
/
ALTER TABLE VND_ITEMPRECODIAAUX ADD CONSTRAINT ITEMPRECODIAAUX_TIPOPRECO_FK FOREIGN KEY (NRTIPOPRECO) REFERENCES VND_TIPOPRECO(NRTIPOPRECO)
/
ALTER TABLE VND_ITEMPRECODIAAUX DROP CONSTRAINT CKC_IDATIVO_ITEMPRECODIAAUX
/
-- ================================================= 
-- TABLE:  VND_ITEMDEVOLVIDO 
-- =================================================
  CREATE TABLE VND_ITEMDEVOLVIDO (
    NRSEQITEMDEVOLVIDO 			NUMBER 			NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDCAIXA 					VARCHAR2(3) 	NOT NULL ,
	NRSEQVENDA 					VARCHAR2(10) 	NOT NULL ,
	QTPRODVEND 					FLOAT(126) 		NOT NULL ,
	VRUNITVEND 					FLOAT(126) 		NOT NULL ,
	CDPRODUTO 					VARCHAR2(10) 	NOT NULL ,
	CDLOJA 						VARCHAR2(10),
	CDVENDEDOR 					VARCHAR2(4),
	CDFILIALEST 				VARCHAR2(4),
	NRLANCESTQ 					VARCHAR2(10),
	VRALIQIMPR 					FLOAT(126),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_ITEMDEVO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT CKC_VND_ITDEVOLVIDO_ATIVO CHECK (IDATIVO IN ('S','N')) ,
		CONSTRAINT PK_VND_ITDEVOLVIDO PRIMARY KEY (NRSEQITEMDEVOLVIDO) 
   )
/
-- ================================================= 
-- TABLE:  VND_APURACAO 
-- =================================================
  CREATE TABLE VND_APURACAO (
	NRAPURACAO 					NUMBER 			NOT NULL ,
	CDOPERADOR 					VARCHAR2(12),
	DATAAPURACAO 				DATE,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_APURACAO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_APURACAO_PK PRIMARY KEY (NRAPURACAO) 
   )
/
-- ================================================= 
-- TABLE:  VND_ITEMAPURACAO 
-- =================================================
  CREATE TABLE VND_ITEMAPURACAO (
    NRITEMAPURACAO 				NUMBER 			NOT NULL ,
	NRAPURACAO 					NUMBER 			NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDCAIXA 					VARCHAR2(3) 	NOT NULL ,
	NRSEQVENDA 					VARCHAR2(10) 	NOT NULL ,
	NRPARCNEGOCIO 				NUMBER,
	CDFILIANF 					VARCHAR2(4),
	NRLANCTONF 					VARCHAR2(10),
	IDSITUACAOITEM 				VARCHAR2(30),
	VRAPURACAO 					FLOAT(126),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_ITEMAPURAC CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_ITEMAPURACAO_PK PRIMARY KEY (NRITEMAPURACAO) ,
		CONSTRAINT VND_ITEMAPURAC_VND_APURACAO_FK FOREIGN KEY (NRAPURACAO)
			REFERENCES VND_APURACAO (NRAPURACAO) 
   )
/
-- ================================================= 
-- TABLE: VND_INTEGRACAOMOV 
-- =================================================
ALTER TABLE VND_INTEGRACAOMOV MODIFY NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL
/
ALTER TABLE VND_INTEGRACAOMOV DROP CONSTRAINT CKC_IDATIVO_INTEGRACAOMOV
/
-- ================================================= 
-- TABLE:  VND_IMGPRODUTO 
-- =================================================
  CREATE TABLE VND_IMGPRODUTO (
    NRSEQIMGPRODUTO 			NUMBER 			NOT NULL ,
	CDPRODUTO 					VARCHAR2(10) 	NOT NULL ,
	DSIMGPRODUTO 				VARCHAR2(400) 	NOT NULL ,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_IMGPRODUTO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_IMGPRODUTO ADD CONSTRAINT CKC_VND_IDATIVO_PRATO CHECK (IDATIVO IN ('S','N'))
/
ALTER TABLE VND_IMGPRODUTO ADD CONSTRAINT PK_VND_IMGPRODUTO PRIMARY KEY (NRSEQIMGPRODUTO)
/
ALTER TABLE VND_IMGPRODUTO ADD CONSTRAINT VND_IMGPRODUTO_PRODUTO_FK FOREIGN KEY (CDPRODUTO) REFERENCES PRODUTO (CDPRODUTO)
/
-- ================================================= 
-- TABLE: VND_GRUPOCREDITO 
-- =================================================
ALTER TABLE VND_GRUPOCREDITO MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_GRUPOCREDITO MODIFY IDATIVO NULL
/
ALTER TABLE VND_GRUPOCREDITO DROP CONSTRAINT CKC_IDATIVO_GRUPOCREDITO
/
-- ================================================= 
-- TABLE: VND_FEATUREGRUPO 
-- =================================================
ALTER TABLE VND_FEATUREGRUPO DROP CONSTRAINT CKC_IDATIVO_FEATUREGRUPO
/
ALTER TABLE VND_EQUIPAMENTOBICOH MODIFY CDOPERINCLUSAO NOT NULL
/
-- ================================================= 
-- TABLE: VND_EQUIPAMENTO 
-- =================================================
ALTER TABLE VND_EQUIPAMENTO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_EQUIPAMENTO MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_EQUIPAMENTO MODIFY DTINCLUSAO DATE DEFAULT SYSDATE NOT NULL
/
ALTER TABLE VND_EQUIPAMENTO MODIFY DTULTATU DATE DEFAULT SYSDATE NOT NULL
/
-- ================================================= 
-- TABLE: VND_ENCERRANTEBICOTURNO 
-- =================================================
ALTER TABLE VND_ENCERRANTEBICOTURNO ADD DESCONTINUIDADE VARCHAR2(1) DEFAULT 'N'
/
ALTER TABLE VND_ENCERRANTEBICOTURNO MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_ENCERRANTEBICOTURNO MODIFY IDATIVO NULL
/
ALTER TABLE VND_ENCERRANTEBICOTURNO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_ENCERRANTEBICOTURNO ADD CONSTRAINT VND_ENCERRANTEBICOTURNO_BIC_FK FOREIGN KEY (NRSEQBICO) REFERENCES VND_BICO(NRSEQBICO)
/
ALTER TABLE VND_ENCERRANTEBICOTURNO ADD CONSTRAINT VND_ENCERRANTEBICOTURNO_TUR_FK FOREIGN KEY (NRTURNOOPERACAO) REFERENCES VND_TURNOOPERACAO(NRSEQTURNOOPERACAO)
/
-- ================================================= 
-- TABLE: VND_DIMENSAOVALOR 
-- =================================================
ALTER TABLE VND_DIMENSAOVALOR MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_DIMENSAOVALOR MODIFY CDOPERULTATU NOT NULL
/
ALTER TABLE VND_DIMENSAOVALOR MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_DIMENSAOVALOR MODIFY IDATIVO NOT NULL
/
ALTER TABLE VND_DIMENSAOVALOR MODIFY NRORG NOT NULL
/
ALTER TABLE VND_DIMENSAOVALOR DROP CONSTRAINT CKC_IDATIVO_VND_DIMENSAOVALOR
/
ALTER TABLE VND_DIMENSAOVALOR ADD CONSTRAINT FKVND00554VND_DIMENVAL FOREIGN KEY (NRDIMENSAO) REFERENCES VND_DIMENSAO(NRDIMENSAO)
/
-- ================================================= 
-- TABLE:  VND_CUSTODIACHEQUEH 
-- =================================================
  CREATE TABLE VND_CUSTODIACHEQUEH (
	NRSEQCUSTODIACH 			NUMBER 			NOT NULL ,
	CDCHEQUE 					NUMBER 			NOT NULL ,
	CDOPERADORCUSTODIA 			VARCHAR2(12),
	CDFILIAL 					VARCHAR2(4),
	CDCAIXA 					VARCHAR2(3),
	NRSEQTURNO 					NUMBER,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_CUSTODIACHQ CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
-- ================================================= 
-- TABLE: VND_CONFIGURACAOPDV 
-- =================================================
ALTER TABLE VND_CONFIGURACAOPDV MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_CONFIGURACAOPDV MODIFY IDATIVO NULL
/
ALTER TABLE VND_CONFIGURACAOPDV ADD CONSTRAINT VND_TIPOEMISSAOVENDA_CONFPDVFK FOREIGN KEY (NRTIPOEMISSAOVENDA) REFERENCES VND_TIPOEMISSAOVENDA(NRTIPOEMISSAOVENDA)
/
ALTER TABLE VND_CONFIGURACAOPDV DROP CONSTRAINT CKC_IDATIVO_CONFIGURACAOPDV
/
-- ================================================= 
-- TABLE: VND_CONFIGINDIVIDUALPDV 
-- =================================================
ALTER TABLE VND_CONFIGINDIVIDUALPDV ADD ENDERECOGASPUMP VARCHAR2(250)
/
ALTER TABLE VND_CONFIGINDIVIDUALPDV ADD IDEMITEPENDPADRAO VARCHAR2(1)
/
ALTER TABLE VND_CONFIGINDIVIDUALPDV ADD NREQUIPAMENTO NUMBER
/
ALTER TABLE VND_CONFIGINDIVIDUALPDV MODIFY NRTIPOEMISSAOVENDA NULL
/
ALTER TABLE VND_CONFIGINDIVIDUALPDV DROP CONSTRAINT CKC_IDATIVO_CONFINDPDV
/
-- ================================================= 
-- TABLE:  VND_CONFIGACESS 
-- =================================================
  CREATE TABLE VND_CONFIGACESS (
	CDFILIAL 					VARCHAR2(4),
	CDCAIXA 					VARCHAR2(3),
	DSMODELOECFVE 				VARCHAR2(30),
	NRSERIEVND 					VARCHAR2(50),
	NRECFCUPOMVE 				VARCHAR2(30),
	DTVALIDADE 					DATE,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_CONFACESS CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
-- ================================================= 
-- TABLE: VND_CONDICAOREGRAPRECO 
-- =================================================
ALTER TABLE VND_CONDICAOREGRAPRECO ADD DTULATU DATE
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY CDOPERULTATU NOT NULL
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY CDRELACAO NUMBER
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY CDTIPORECE VARCHAR2(2)
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY IDATIVO NOT NULL
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY NRCONDICAOPRECO NOT NULL
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY NRCONDICAOREGRAPRECO NOT NULL
/
ALTER TABLE VND_CONDICAOREGRAPRECO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_CONDICAOREGRAPRECO ADD CONSTRAINT VND_ESTRUTURACONDICAOPRECO_PK PRIMARY KEY (NRCONDICAOREGRAPRECO)
/
ALTER TABLE VND_CONDICAOREGRAPRECO ADD CONSTRAINT VND_REGRAPRECO_CONDREGRPREC_FK FOREIGN KEY (NRCONDICAOPRECO) REFERENCES VND_REGRAPRECO(NRCONDICAOPRECO)
/
ALTER TABLE VND_CONDICAOREGRAPRECO DROP CONSTRAINT CKC_IDATIVO_CONDAOREGPRE
/
-- ================================================= 
-- TABLE:  VND_CHEQUE 
-- =================================================
  CREATE TABLE VND_CHEQUE (
	CDCHEQUE 					NUMBER 			NOT NULL ,
	NRSEQCUSTODIAH 				NUMBER,
	CDBANCO 					VARCHAR2(3) 	NOT NULL ,
	CDAGENCIA 					VARCHAR2(5) 	NOT NULL ,
	CDCONTCORR 					VARCHAR2(20) 	NOT NULL ,
	NRCHEQUE 					VARCHAR2(6) 	NOT NULL ,
	VALOR 						FLOAT(126) 		NOT NULL ,
	TIPOCHEQUE 					VARCHAR2(1) 	NOT NULL ,
	DIGVERIFICADORBANCO 		VARCHAR2(1) 	NOT NULL ,
	DIGVERIFICADORCONTA 		VARCHAR2(1) 	NOT NULL ,
	DIGVERIFICADORCOMP 			VARCHAR2(1) 	NOT NULL ,
	NRCOMP 						VARCHAR2(3),
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_CHEQUE CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
-- ================================================= 
-- TABLE: VND_CATEGORIARECECONFIGURACAO 
-- =================================================
ALTER TABLE VND_CATEGORIARECECONFIGURACAO MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_CATEGORIARECECONFIGURACAO DROP CONSTRAINT CKC_IDATIVO_CATECECONFIG
/
-- ================================================= 
-- TABLE: VND_CATEGORIACONFIGURACAO 
-- =================================================
ALTER TABLE VND_CATEGORIACONFIGURACAO DROP CONSTRAINT CKC_IDATIVO_CATECONFIG
/
-- ================================================= 
-- TABLE: VND_BOMBA 
-- =================================================
ALTER TABLE VND_BOMBA MODIFY CDFABRIC NULL
/
ALTER TABLE VND_BOMBA MODIFY CDFILIAL NULL
/
ALTER TABLE VND_BOMBA MODIFY CDLOJA NULL
/
ALTER TABLE VND_BOMBA MODIFY CDMODELO NULL
/
ALTER TABLE VND_BOMBA MODIFY CDSALA NULL
/
ALTER TABLE VND_BOMBA MODIFY CODIGOBOMBA NULL
/
ALTER TABLE VND_BOMBA MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_BOMBA MODIFY NREQUIPAMENTO NULL
/
ALTER TABLE VND_BOMBA MODIFY NUMEROSERIE NULL
/
ALTER TABLE VND_BOMBA ADD CONSTRAINT LOJA_VND_BOMBA_FK FOREIGN KEY (CDFILIAL,CDLOJA) REFERENCES LOJA(CDFILIAL,CDLOJA)
/
ALTER TABLE VND_BOMBA ADD CONSTRAINT SALA_VND_BOMBA_FK FOREIGN KEY (CDFILIAL,CDSALA) REFERENCES SALA(CDFILIAL,CDSALA)
/
ALTER TABLE VND_BOMBA DROP CONSTRAINT CKC_IDATIVO_BOMBA
/
-- ================================================= 
-- TABLE: VND_BICO 
-- =================================================
ALTER TABLE VND_BICO MODIFY CDOPERINCLUSAO NOT NULL
/
ALTER TABLE VND_BICO MODIFY CODIGOBICO NULL
/
ALTER TABLE VND_BICO MODIFY DTINCLUSAO NOT NULL
/
ALTER TABLE VND_BICO MODIFY HABILITALANCMANUAL NULL
/
ALTER TABLE VND_BICO MODIFY HEXAUTOMACAO NULL
/
ALTER TABLE VND_BICO MODIFY IDTEMPOTOLERANCIAABASTPEND NULL
/
ALTER TABLE VND_BICO MODIFY NRMAXABASTECIMENTOSPEND NULL
/
ALTER TABLE VND_BICO MODIFY NRORG NOT NULL
/
ALTER TABLE VND_BICO MODIFY NRTEMPOTOLERANCIAABASTPEND NULL
/
ALTER TABLE VND_BICO MODIFY NUMEROINICIOENCERRANTEATUAL NULL
/
ALTER TABLE VND_BICO ADD CONSTRAINT VND_BICO_VND_BOMBA_FK FOREIGN KEY (NRBOMBA) REFERENCES VND_BOMBA(NRBOMBA)
/
ALTER TABLE VND_BICO DROP CONSTRAINT CKC_IDATIVO_BICO
/
ALTER TABLE VND_BICO ADD  CHECK ( IDTEMPOTOLERANCIAABASTPEND IN ('DIAS', 'HORAS', 'MINUTOS'))
/
-- ================================================= 
-- TABLE: VND_ATRIBUTOVENDA 
-- =================================================
CREATE TABLE  VND_GRUPOATRIBUTO  (
	NRGRUPOATRIBUTO 			NUMBER 			NOT NULL , 
	GRUPOLABEL  				VARCHAR2(255) 	NOT NULL , 
	NMGRUPO  					VARCHAR2(255) 	NOT NULL , 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_GRPATRIB CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	 CONSTRAINT  VND_ATRIBUTOFIELDGROUP_PK  PRIMARY KEY ( NRGRUPOATRIBUTO ))
/
-- ================================================= 
-- TABLE: VND_ATRIBUTOVENDA 
-- =================================================
ALTER TABLE VND_ATRIBUTOVENDA ADD COMPLEMENTOATRIBUTO CLOB
/
ALTER TABLE VND_ATRIBUTOVENDA MODIFY CDOPERULTATU NULL
/
ALTER TABLE VND_ATRIBUTOVENDA MODIFY IDATIVO NULL
/
ALTER TABLE VND_ATRIBUTOVENDA MODIFY NOMEATRIBUTOVENDA NULL
/
ALTER TABLE VND_ATRIBUTOVENDA MODIFY NRORG NOT NULL
/
ALTER TABLE VND_ATRIBUTOVENDA MODIFY NRTIPOATRIBUTO NOT NULL
/
ALTER TABLE VND_ATRIBUTOVENDA DROP CONSTRAINT CKC_IDATIVO_ATRIBUTOVENDA
/
-- ================================================= 
-- TABLE: VND_ALMOXARIFADOH 
-- =================================================
ALTER TABLE VND_ALMOXARIFADOH DROP CONSTRAINT CKC_IDATIVO_ALMOXARIFADOH
/
-- ================================================= 
-- TABLE:  TURCAIXA 
-- =================================================
ALTER TABLE TURCAIXA ADD CDOPERCONF VARCHAR2(12)
/
ALTER TABLE TURCAIXA ADD DIFFCONF FLOAT(126)
/
ALTER TABLE TURCAIXA ADD DTABERTTURNO DATE
/
ALTER TABLE TURCAIXA ADD DTCONFERCAIXA DATE
/
ALTER TABLE TURCAIXA ADD DTFECHCAIXCP DATE
/
ALTER TABLE TURCAIXA ADD NRSEQTURNO NUMBER
/
ALTER TABLE TURCAIXA ADD CONSTRAINT FKPDV00238CAIXA FOREIGN KEY (CDFILIAL,CDCAIXAORIG) REFERENCES CAIXA(CDFILIAL,CDCAIXA)
/
ALTER TABLE TURCAIXA ADD CONSTRAINT FKVND00014CAIXA FOREIGN KEY (CDFILIAL,CDCAIXA) REFERENCES CAIXA(CDFILIAL,CDCAIXA)
/
ALTER TABLE TURCAIXA ADD CONSTRAINT FKVND00019OPERADOR FOREIGN KEY (CDOPERADOR) REFERENCES OPERADOR(CDOPERADOR)
/
ALTER TABLE TURCAIXA ADD CONSTRAINT FKVND00063OPERADOR FOREIGN KEY (CDOPERABER) REFERENCES OPERADOR(CDOPERADOR)
/
ALTER TABLE TURCAIXA ADD CONSTRAINT FKVND00064OPERADOR FOREIGN KEY (CDOPERFECH) REFERENCES OPERADOR(CDOPERADOR)
/
-- ================================================= 
-- TABLE:  VND_FRETE 
-- =================================================  
CREATE TABLE VND_FRETE (
	CDFRETE 					VARCHAR2(10) 	NOT NULL , 
	TIPOFRETE 					VARCHAR2(1) 	DEFAULT 'C' NOT NULL , 
	VRFRETE 					FLOAT(126) 		NOT NULL , 
	NRPARCNEGOCIO 				NUMBER 			NOT NULL , 
	CDEXTERNO 					VARCHAR2(50), 
	OBSERVACOES 				VARCHAR2(350), 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_FRETE CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1', 
	CDTRANSPORT 				VARCHAR2(100) 	NOT NULL, 
		CONSTRAINT VND_FRETE_PK PRIMARY KEY (CDFRETE),
		CONSTRAINT VND_FRETE_FK FOREIGN KEY (NRPARCNEGOCIO) REFERENCES PARCNEGOCIO (NRPARCNEGOCIO)
)
/
-- ================================================= 
-- TABLE:  VND_RELACIONAFRETE 
-- =================================================  
 CREATE TABLE VND_RELACIONAFRETE (
	CDFRETE 					VARCHAR2(10) 	NOT NULL , 
	NRSEQVENDA 					VARCHAR2(10), 
	NRPREVENDA 					VARCHAR2(10), 
	NRPEDIDO 					VARCHAR2(10), 
	CDFILIAL 					VARCHAR2(10) 	NOT NULL , 
	CDCAIXA 					VARCHAR2(3), 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELFRETE CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
    )
/
ALTER TABLE VND_RELACIONAFRETE ADD CONSTRAINT VND_RELACFRETE_VND_FRETE_FK FOREIGN KEY (CDFRETE) REFERENCES VND_FRETE (CDFRETE)
/
ALTER TABLE VND_RELACIONAFRETE ADD CONSTRAINT VND_RELACFRETE_VND_PREVENDA_FK FOREIGN KEY (NRPREVENDA) REFERENCES VND_PREVENDA (NRPREVENDA)
/
--------------------------------------------------------
--  CREATE TABLE VND_RELESTRUTURATABEPRECO
--------------------------------------------------------
  CREATE TABLE VND_RELESTRUTURATABEPRECO  (
	NRRELESTRUTURATABEPRECO  	NUMBER, 
	CDTABPREC  					VARCHAR2(3), 
	CDFILIALTABPREC  			VARCHAR2(4), 
	CDFILIAL  					VARCHAR2(4), 
	CDLOJA  					VARCHAR2(10), 
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_RELESTTAB CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
   )
/
CREATE UNIQUE INDEX VND_RELESTRUTURATABEPRECO_PK ON VND_RELESTRUTURATABEPRECO ( NRRELESTRUTURATABEPRECO )
/
ALTER TABLE VND_RELESTRUTURATABEPRECO ADD CONSTRAINT VND_RELESTRUTURATABEPRECO_PK PRIMARY KEY ( NRRELESTRUTURATABEPRECO )
/
ALTER TABLE VND_RELESTRUTURATABEPRECO MODIFY  NRORG  NOT NULL
/
ALTER TABLE VND_RELESTRUTURATABEPRECO MODIFY  CDFILIALTABPREC  NOT NULL
/
ALTER TABLE VND_RELESTRUTURATABEPRECO MODIFY  CDTABPREC  NOT NULL
/
ALTER TABLE VND_RELESTRUTURATABEPRECO MODIFY  NRRELESTRUTURATABEPRECO  NOT NULL
/
ALTER TABLE VND_RELESTRUTURATABEPRECO ADD CONSTRAINT  FKVND00552RELESRRATABEPR  FOREIGN KEY ( CDFILIALTABPREC ,  CDTABPREC ) REFERENCES TABEPREC ( CDFILIAL ,  CDTABEPREC)
/
-- ================================================= 
-- TABLE: VND_PRODUTOPDV 
-- =================================================
ALTER TABLE VND_PRODUTOPDV ADD DOSAGEM VARCHAR2(10)
/
-- ================================================= 
-- TABLE: VND_TIPOPRODUTO
-- =================================================
CREATE TABLE VND_TIPOPRODUTO (
	CDTIPOPRODUTO 				VARCHAR2(10) 	NOT NULL, 
	NMTIPOPRODUTO 				VARCHAR2(40) 	NOT NULL, 
  	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_TPPROD CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
		CONSTRAINT VND_TIPOPRODUTO_PK PRIMARY KEY(CDTIPOPRODUTO)  
)
/
ALTER TABLE VND_PRODUTOPDV ADD CDTIPOPRODUTO VARCHAR2(10)
/
ALTER TABLE VND_PRODUTOPDV ADD PRINCIPIOATIVO VARCHAR2(40)
/
ALTER TABLE VND_PRODUTOPDV ADD 
	CONSTRAINT VND_PRODUTOPDV_FK1 FOREIGN KEY (CDTIPOPRODUTO)
		REFERENCES VND_TIPOPRODUTO (CDTIPOPRODUTO)
/
-- ================================================= 
-- TABLE: INTG_ITEMPRODUTO_AUX
-- =================================================
CREATE TABLE INTG_ITEMPRODUTO_AUX 
(
	NRSEQITPROD 				VARCHAR2(4) 	NOT NULL, 
	CEAN 						VARCHAR2(15) 	NOT NULL,
	CDPRODUTO 					VARCHAR2(10) 	NOT NULL,
	NMPRODUTO 					VARCHAR2(50) 	NOT NULL,
	NRACESSONFE 				VARCHAR2(50) 	NOT NULL,
	CDFORNECEDOR 				VARCHAR2(21) 	NOT NULL,
	CDPRODUTOXML 				VARCHAR2(30) 	NOT NULL,
   	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_INTG_ITPROD_AUX CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1'
)
/
ALTER TABLE VND_ITEMVENDAAUXILIAR MODIFY DTINCLUSAO NOT NULL
/
-- ================================================= 
-- TABLE:  VND_ERROSINCRONIZACAO 
-- =================================================
	CREATE TABLE VND_ERROSINCRONIZACAO (
	NRSEQERRORSINCRONIZACAO 	VARCHAR2(10) 	NOT NULL ,
	CDFILIAL 					VARCHAR2(4) 	NOT NULL ,
	CDCAIXA 					VARCHAR2(3) 	NOT NULL ,
	CDLOJA 						VARCHAR2(10) 	NOT NULL ,
	ERRORSINCRONIZACAO			VARCHAR2(4000)	NOT NULL ,
	NRORG 						NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 					VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_VND_ERRSINCRO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 					DATE 			NULL,
	DTULTATU 					DATE 			NULL,
	NRORGINCLUSAO 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 				VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 				VARCHAR2(12) 	DEFAULT '1',
	CONSTRAINT VND_ERROSINCRONIZACAO_PK PRIMARY KEY (NRSEQERRORSINCRONIZACAO) 
   )
   /
   
-- ================================================= 
-- TABLE: VND_EQUIPAMENTOBICOH 
-- =================================================
ALTER TABLE VND_EQUIPAMENTOBICOH MODIFY DTINCLUSAO NOT NULL
/

ALTER TABLE VND_ENCERRANTEBICOTURNO DROP CONSTRAINT CKC_IDATIVO_ENCEBICOTUR